WtpEclipseJBossIDE

Version 2

    Eclipse and JBoss IDE Application Server Integration

     

    JBoss IDE 1.6 was based on the Eclipse 3.1 version and interacted with JBoss AS via a custom plug-in written by JBoss.

     

    JBoss IDE 2.0 is based on Eclipse 3.2 and interacts with JBoss AS via a the more standard WTP (Web Tools Project) mechanism. Going forward, this will be the default and will replace the custom plug-in.

     

    Although it should in theory be possible to continue to run the custom plug-in in version 3.2 JBoss encourage users to migrate to the WTP version which is far superior.

     

    The new WTP plug-in is heavily based on new features introduced into Eclipse in version 3.2 and will not run in earlier versions.